<?php
$helper = $this->helper('MGS\Blog\Helper\Data');
$post = $block->getCurrentPost();
$showImage = $this->getConfig('general_settings/show_image');
$showAction = $this->getConfig('general_settings/show_action');
$blogUrl = $block->getUrl('*/*/*', ['_current' => true, '_use_rewrite' => true]);
$title = $post->getTitle();
$twitterUrl = "http://twitter.com/intent/tweet?original_referer=$blogUrl&text=$title&url=$blogUrl";
$faceBookUrl = "http://www.facebook.com/sharer/sharer.php?u=$blogUrl&title=$title";
$instagramUrl = "https://www.instagram.com/alogiccorp/";
$linkedInUrl = "https://www.linkedin.com/shareArticle?url=$blogUrl&title=$title";
$facebookUrl = "https://www.facebook.com/sharer.php?u=$blogUrl";
?>




<div class="blog-post post-item-info">
    <?php if ($showImage): ?>
  	<div class="post-image">
  		<?php echo $helper->getImagePost($post); ?>
  	</div>
    <?php endif; ?>
    <div class="post-heading">
      <h1 class="h2"><?php echo $post->getTitle();?></h1>
    </div>
		<div class="post-info">
			<div class="post-create-time">
				<!-- <i class="fa fa-calendar"></i> -->
				<?php echo __('%1', $block->formatDate($post->getCreatedAt(), \IntlDateFormatter::MEDIUM, false)); ?>
			</div>

      <div class="share-link">
        <div class="share-wrapper">
          <span class="share-text">Share this blog</span>
          <div class="share-social">
            <a href="<?php echo $instagramUrl; ?>" target="_blank" rel="noopener" title="Instgram">
              <img src="/media/wysiwyg/social/Icon_simple-instagram.png" alt="Instagram">
            </a>
            <a href="<?php echo $linkedInUrl; ?>" target="_blank" rel="noopener" title="Linkdin">
              <img src="/media/wysiwyg/social/Icon_awesome-linkedin-in.png" alt="Instagram">
            </a>
            <a href="<?php echo $facebookUrl ; ?>" target="_blank" rel="noopener" title="Facebook">
              <img src="/media/wysiwyg/social/Icon_awesome-facebook-f.png" alt="Instagram">
            </a>
            <a href="<?php echo $twitterUrl; ?>" target="_blank" rel="noopener" title="Twitter">
              <img src="/media/wysiwyg/social/Icon_awesome-twitter.png" alt="Instagram">
            </a>
          </div>
        </div>
      </div>

		</div>

    <?php if ($post->getContent()): ?>
        <div class="post-content">
			<div class="post-short-description">
				<?php $objectManager = \Magento\Framework\App\ObjectManager::getInstance(); ?>
				<?php echo $objectManager->get('\Magento\Cms\Model\Template\FilterProvider')->getBlockFilter()->filter($post->getContent()); ?>
			</div>
        </div>
    <?php endif; ?>

	<?php if($helper->getStoreConfig('mpanel/share_config/enabel_share') && $helper->getStoreConfig('mpanel/share_config/share_blog_detail')): ?>
		<div class="text-right margin-top25">
			<?php echo $block->getChildHtml('blog.detail.sharethis'); ?>
		</div>
	<?php endif ?>

	<?php if($showAction): ?>
		<div class="post-actions hide">
			<?php $prevPost = $this->getPrevPost($post->getId()); ?>
			<?php if($post->getId() != $prevPost['id']): ?>
				<div class="prev-action action"><a href="<?php echo $prevPost['url']; ?>"><?php echo __('Previous'); ?></a></div>
			<?php endif ?>
			<?php $nextPost = $this->getNextPost($post->getId()); ?>
				<?php if($post->getId() != $nextPost['id']): ?>
				<div class="next-action action"><a href="<?php echo $nextPost['url']; ?>"><?php echo __('Next'); ?></a></h4></div>
			<?php endif ?>
		</div>
	<?php endif ?>

    <?php echo $block->getChildHtml('post_view_comment'); ?>
</div>
